Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Installation fails for Verilog-Perl-3.412 on mac OS X 10.10.3 #923

Closed
veripoolbot opened this issue May 21, 2015 · 4 comments
Closed

Installation fails for Verilog-Perl-3.412 on mac OS X 10.10.3 #923

veripoolbot opened this issue May 21, 2015 · 4 comments

Comments

@veripoolbot
Copy link
Collaborator

@veripoolbot veripoolbot commented May 21, 2015


Author Name: S L
Original Redmine Issue: 923 from https://www.veripool.org
Original Date: 2015-05-21


perl -v:

This is perl 5, version 18, subversion 2 (v5.18.2) built for darwin-thread-multi-2level

g++ -v:

Configured with: --prefix=/Applications/Xcode.app/Contents/Developer/usr --with-gxx-include-dir=/usr/include/c++/4.2.1
Apple LLVM version 6.1.0 (clang-602.0.53) (based on LLVM 3.6.0svn)
Target: x86_64-apple-darwin14.3.0
Thread model: posix

cc -v:

Apple LLVM version 6.1.0 (clang-602.0.53) (based on LLVM 3.6.0svn)
Target: x86_64-apple-darwin14.3.0
Thread model: posix

Installation command:
@cpanm Verilog::Language@

build log error:

LD_RUN_PATH="/usr/lib" cc -mmacosx-version-min=10.10  -dynamiclib -lstdc++ -L/System/Library/Perl/5.18.2/darwin-thread-multi-2level/CORE -lperl -lgcc_eh -L/usr/local/lib VFileLine.o VParseLex.o VParse.o VParseBison.o VSymTable.o VAst.o   -o ../blib/arch/auto/Verilog/Parser/Parser.bundle Parser_cleaned.o	\
	   -lstdc++  	\
	  
ld: warning: directory not found for option '-L/System/Library/Perl/5.18.2/darwin-thread-multi-2level/CORE'
ld: library not found for -lperl
clang: error: linker command failed with exit code 1 (use -v to see invocation)

The linker is looking for libperl in
/System/Library/Perl/5.18.2/darwin-thread-multi-2level/CORE

The location is at
/System/Library/Perl/5.18/darwin-thread-multi-2level/CORE

My solution was to link 5.18 to 5.18.2 (another solution would be to change the LDDLFLAGS statement in all Makefile.PL)

After linking the directory, the next error:

LD_RUN_PATH="/usr/lib" cc -mmacosx-version-min=10.10  -dynamiclib -lstdc++ -L/System/Library/Perl/5.18.2/darwin-thread-multi-2level/CORE -lperl -lgcc_eh -L/usr/local/lib VFileLine.o VParseLex.o VParse.o VParseBison.o VSymTable.o VAst.o   -o ../blib/arch/auto/Verilog/Parser/Parser.bundle Parser_cleaned.o	\
	   -lstdc++  	\
	  
ld: library not found for -lgcc_eh
clang: error: linker command failed with exit code 1 (use -v to see invocation)

My solution was to remove the -lgcc_eh statement (perhaps clang doesn't need this gcc library?)

@veripoolbot

This comment has been minimized.

Copy link
Collaborator Author

@veripoolbot veripoolbot commented May 21, 2015


Original Redmine Comment
Author Name: Wilson Snyder (@wsnyder)
Original Date: 2015-05-21T16:29:13Z


Apple is incompetent in their packaging of perl. They could at least be consistently incompetent... but no, they are broken differently each release.

Can you please provide patches to the three Makefile.PL's. You'll see hacks already for each darwin version.

Thanks.

@veripoolbot

This comment has been minimized.

Copy link
Collaborator Author

@veripoolbot veripoolbot commented May 21, 2015


Original Redmine Comment
Author Name: S L
Original Date: 2015-05-21T18:12:24Z


Git generated patch attached

@veripoolbot

This comment has been minimized.

Copy link
Collaborator Author

@veripoolbot veripoolbot commented May 22, 2015


Original Redmine Comment
Author Name: Wilson Snyder (@wsnyder)
Original Date: 2015-05-22T15:21:59Z


Thanks for the patch! Pushed to git towards 3.413.

@veripoolbot

This comment has been minimized.

Copy link
Collaborator Author

@veripoolbot veripoolbot commented Jun 26, 2015


Original Redmine Comment
Author Name: Wilson Snyder (@wsnyder)
Original Date: 2015-06-26T10:31:00Z


In 3.414.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
1 participant
You can’t perform that action at this time.